Subject: [EAI] RFC5721bis (POP3 UTF8) review

From: Joseph Yee <[email-masked]>
Date: Thu, 7 Jul 2011 18:20:13 -0400

Hi,

I read the the recent (-01) draft-ietf-eai-rfc5721bis.  Changes and suggestions below:

(1)
Header: remove "Updates RFC1939"
Similar to RFC5336bis, the draft extends rather than changes the base specification of POP3 (RFC1939).

(2)
Section 1 Introduction, 2nd paragraph, words suggestion

Original
"It also adds a mechanism to support login
   names and passwords outside the ASCII character set, and a mechanism
   to support UTF-8 protocol-level error strings in a language
   appropriate for the user."

Suggestion
"It also adds a mechanism to support login names and passwords with UTF-8 charset beyond ASCII, and a mechanism to support UTF-8 charset in protocol level response strings for languages beyond English."

Note:  +OK carries message too, not just -ERR)

(3)
"UTF-8 mode" definition
The term "UTF-8 mode" was used a lot in Section 3 but didn't explain explain in details what is "UTF-8 mode".  Suggest to define the term in Section 1 Introduction or at the beginning of Section 3.  The Abstract section has the explanation, but without the term "UTF-8 mode".

(4)
Section 2 LANG Capability

Commands valid in states:

original:   
	AUTHENTICATION, TRANSACTION

correction: 
	AUTHORIZATION, TRANSACTION

(5) 
Section 3.1, 4th paragraph, minor/nit editing

Original
	"need not to be accurate, but it is preferable if they are"

Edit
	"need not to be accurate, but it is preferable if they were"

(6)
Section 3.2, 4th paragraph

The terms "query string" and "stored string" are terms from stringprep rather than saslprep.  Although saslprep references stringprep, saslprep does not have these two terms.  Suggest to append [RFC3454] to both terms, and add RFC3454 as Normative references.

(7)
Reference of [popimap-downgrade] is Informative now.

Personal thought:  Should it be Normative references instead?

(8)
Appendix A, 4th paragraph
The whole paragraph explains the lack of useful examples due to limitation of the document format, and 
	"As a result, there are no plans to provide examples for that part of the specification as long as this remains an experimental proposal"

This draft already notifies and explains the absence of character accents in example, and this draft is not an experimental proposal anymore.  I recommend to either rewrite the explanation & take out text about experimental proposal, or just remove the whole paragraph.

Thanks
Joseph